Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Update an active work session

Prev Next
Put
/invetory/workSessions/{workSessionId}

Updates the work session identified by the given id.
Being a full update, the payload should provide the complete work session object: it is therefore recommended to read the work session first and then send back the modified object.

Required permissions: READ_WORK_SESSION, WRITE_WORK_SESSION.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Path parameters
workSessionId
stringRequired

The work session identifier.

Minimum1.0
Exampleabcd1234
Body parameters

The details of the work session being updated.

Responses
200

Successfully updated.

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error